=== debian/changelog ===
libmath-calculus-expression-loncapa-perl (0.2.2.0-9) unstable; urgency=low

  * Initial release.

 -- Stuart Raeburn <raeburn@loncapa.org>  Sat, 25 Oct 2025 21:34:00 -0400
