=== debian/control ===
Source: libmath-calculus-expression-loncapa-perl
Maintainer: Stuart Raeburn <raeburn@loncapa.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Standards-Version: 4.7.2
Homepage: https://metacpan.org/release/Math-Calculus-Expression

Package: libmath-calculus-expression-loncapa-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Replaces: libmath-calculus-expression-perl
Provides: libmath-calculus-expression-perl
Description: Algebraic Calculus Tools Expression Class
 Math::Calculus::Expression can take an algebraic expression, parse it into a
 tree structure, simplify the tree, substitute variables and named constants
 for other variables or constants (which may be numeric), numerically evaluate
 the tree and turn the tree back into an output of the same form as the input.
 .
 It supports a wide range of expressions including the +, -, *, / and ^ (raise
 to power) operators, bracketed expressions to enable correct precedence and
 the functions ln, exp, sin, cos, tan, sec, cosec, cot, sinh, cosh, tanh,
 sech, cosech, coth, asin, acos, atan, asinh, acosh and atanh.
 .
 Modified from standard Math-Calculus-Expression-0.2.2, for use in LON-CAPA, 
 by the addition of a math_calculus_expression() routine, which can be used
 with Safe::Hole to create a Math::Calculus::Expression object which can use
 all object methods inside the perl Safe space container.
 .
 sub math_calc_expression {
     return Math::Calculus::Expression->new(shift);
 }
